package main

import (
	"fmt"
	"git.cestong.com.cn/cecf/cecf-golib/pkg/utils"
	"git.cestong.com.cn/cecf/config-center-server/cmd"
	"os"
)

//go:generate swag init --parseDependency --parseDepth=6

// @title go-admin API
// @version 2.0.0
// @description 基于Gin + Vue + Element UI的前后端分离权限管理系统的接口文档
// @description 添加qq群: 521386980 进入技术交流群 请先star，谢谢！
// @license.name MIT
// @license.url https://github.com/go-admin-team/go-admin/blob/master/LICENSE.md

// @securityDefinitions.apikey Bearer
// @in header
// @name Authorization
func main() {
	if errPrintVersion := printVersions(); errPrintVersion != nil {
		fmt.Printf("打印版本失败:%s\n", errPrintVersion.Error())
		os.Exit(1)
	}
	cmd.Execute()
}

func printVersions() error {
	execPath := os.Args[0]
	buildMd5Sum, err := utils.MD5SumOfFile(execPath)
	if err != nil {
		return err
	}
	fmt.Printf("\n版本信息:\nversion:%s\ngoLibVersion:%s\nmd5sum:%s\n", version, goLibVersion, buildMd5Sum)
	return nil
}
